%define major		5
%define libname		%mklibname lept %major
%define develname	%mklibname -d lept

Name:		leptonica
Version:	1.78.0
Release:	%mkrel 1
Summary:	C library for image processing and image analysis operations
URL:		http://www.leptonica.org
License:	MIT
Group:		Graphics
Source:		%{name}-%{version}.tar.xz
BuildRequires:	zlib-devel
BuildRequires:	tiff-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	giflib-devel

%description
Well-tested C code for some basic image processing operations, along with
a description of the functions and some design methods. A full set of affine
transformations (translation, shear, rotation, scaling) on images of all depths
is included, with the exception that some of the scaling methods do not work
at all depths. There are also implementations of binary morphology, grayscale
morphology, convolution and rank order filters, and applications such as jbig2
image processing and color quantization.

%package -n %libname 
Summary:	C library for image processing and image analysis operations
Group:	System/Libraries


%description -n %libname
Well-tested C code for some basic image processing operations, along with
a description of the functions and some design methods. A full set of affine
transformations (translation, shear, rotation, scaling) on images of all depths
is included, with the exception that some of the scaling methods do not work
at all depths. There are also implementations of binary morphology, grayscale
morphology, convolution and rank order filters, and applications such as jbig2
image processing and color quantization.

%files -n %libname
%{_libdir}/*.so.*

%package -n %develname
Summary:	C library for image processing and image analysis operations
Group:		Development/Libraries
Requires:	%libname = %{version}
Provides:	leptonica-devel = %version

%description -n %develname
Well-tested C code for some basic image processing operations, along with
a description of the functions and some design methods. A full set of affine
transformations (translation, shear, rotation, scaling) on images of all depths
is included, with the exception that some of the scaling methods do not work
at all depths. There are also implementations of binary morphology, grayscale
morphology, convolution and rank order filters, and applications such as jbig2
image processing and color quantization.

This package contains development files only.

%files -n %develname
%{_libdir}/*.so
%dir %{_includedir}/leptonica
%{_includedir}/leptonica
%doc leptonica-license.txt README.html
%{_libdir}/pkgconfig/lept.pc

%prep
%setup -q

%build
%configure2_5x --disable-static --disable-programs
%make

%install
%makeinstall_std
%__rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Sun Mar 24 2019 tex - 1.78.0-1pclos2019
- new version

* Mon Mar 04 2019 tex - 1.77.0-1pclos2019
- new

* Fri Oct 04 2013 billybot <billybot> 1.69-1pclos2013
- update

* Thu Nov 10 2011 Texstar <texstar at gmail.com> 1.68-2pclos2011
- rebuild

* Mon Nov 07 2011 Texstar <texstar at gmail.com> 1.68-1pclos2011
- 1.68
